Summary: Secure Sockets Layer communications libs & utils
Name: openssl
Version: 0.9.1c
Release: 1
Source0: ftp://ftp.openssl.org/pub/openssl/%{name}-%{version}.tar.gz
Patch0: openssl-%{version}.patch
Patch1: openssl-%{version}.nolocal.patch
Patch2: openssl-%{version}-include.nolocal.patch
Copyright: Freely distributable
Group: Libraries
Provides: SSL
#can't use prefix because of the /etc/profile.d/ files.
#Prefix: /usr/local/ssl
URL: http://www.openssl.org
Packager: Jonathan Ruano <kobalt@james.encomix.es>
BuildRoot:   /tmp/%{name}-%{version}-root

%description
The OpenSSL Project is a collaborative effort to develop a robust,
commercial-grade, fully featured, and Open Source toolkit implementing the
Secure Sockets Layer (SSL v2/v3) and Transport Layer Security (TLS v1)
protocols with full-strength cryptography world-wide. The project is managed
by a worldwide community of volunteers that use the Internet to communicate,
plan, and develop the OpenSSL tookit and its related documentation. 

OpenSSL is based on the excellent SSLeay library developed from Eric A. Young
and Tim J. Hudson.  The OpenSSL toolkit is licensed under an Apache-style
licence, which basically means that you are free to get and use it for
commercial and non-commercial purposes. 

%package devel
Summary: Secure Sockets Layer communications static libs & headers & utils
Group: Development/Libraries
Requires: openssl
%description devel
A C library that provides various cryptographic algorithms and protocols,
including DES, RC4, RSA, and SSL.   Includes Static libraries and headers for
development. Patches for many networking apps can be found at:
http://www.openssl.org

%changelog

* Tue Dec 29 1998 Jonathan Ruano <kobalt@james.encomix.es>

- modified for openssl sources

* Tue Feb 10 1998 Khimenko Victor <khim@sch57.msk.ru>

- all stuff is moved out of /usr/local

%prep
%setup -T -b 0
%patch0 -p1
#%setup -T -D -n SSLeay-0.9.0b/doc/html -c -a 1
#%setup -T -D -n SSLeay-0.9.0b/doc/ref -c -a 2
#change the named directory back to what it should be
%setup -T -D
perl util/perlpath.pl /usr/bin
util/ssldir.pl \$\(RPM_BUILD_ROOT\)/var/ssl
%patch1 -p1

%build 
make -f Makefile.ssl links
CFLAGS="$RPM_OPT_FLAGS -D_REENTRANT -DTHREADS" ./Configure linux-elf
make clean
make depend

#make the shared libraries
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_REENTRANT -DTHREADS" sh shlib/linux.sh

#now we can make the other stuff, and they will be linked to the 
#shared libraries
make
LD_LIBRARY_PATH=`pwd` make rehash

%install
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/include/ssl
mkdir -p $RPM_BUILD_ROOT/usr/lib
RPM_BUILD_ROOT=$RPM_BUILD_ROOT make install

major="0"
minor="9.1c"

strip $RPM_BUILD_ROOT/var/ssl/bin/ssleay

install -m644 rsaref/rsaref.h $RPM_BUILD_ROOT/var/ssl/include

mv -f $RPM_BUILD_ROOT/var/ssl/lib/libssl.a $RPM_BUILD_ROOT/usr/lib
install -m644 libssl.so.$major.$minor $RPM_BUILD_ROOT/usr/lib
ln -sf libssl.so.$major.$minor $RPM_BUILD_ROOT/usr/lib/libssl.so.$major
ln -sf libssl.so.$major.$minor $RPM_BUILD_ROOT/usr/lib/libssl.so

mv -f $RPM_BUILD_ROOT/var/ssl/lib/libcrypto.a $RPM_BUILD_ROOT/usr/lib
install -m644 libcrypto.so.$major.$minor $RPM_BUILD_ROOT/usr/lib
ln -sf libcrypto.so.$major.$minor $RPM_BUILD_ROOT/usr/lib/libcrypto.so.$major
ln -sf libcrypto.so.$major.$minor $RPM_BUILD_ROOT/usr/lib/libcrypto.so

#RSAglue is for inside the US
install -m644 libRSAglue.a $RPM_BUILD_ROOT/usr/lib

cd $RPM_BUILD_ROOT/var/ssl/include
patch -p1 < $RPM_SOURCE_DIR/%{name}-%{version}-include.nolocal.patch

mv -f $RPM_BUILD_ROOT/var/ssl/lib/ssleay.cnf $RPM_BUILD_ROOT/etc

mv -f $RPM_BUILD_ROOT/var/ssl/bin/* $RPM_BUILD_ROOT/usr/bin

mv -f $RPM_BUILD_ROOT/var/ssl/include/* $RPM_BUILD_ROOT/usr/include/ssl

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%doc -P README README.PATENTS README.PROBLEMS CHANGES CHANGES.SSLeay LICENSE doc/API.doc doc/a_verify.doc doc/apps.doc doc/ca.1 doc/legal.doc doc/ms3-ca.doc doc/ns-ca.doc doc/readme doc/ref.doc doc/req.1 doc/s_mult.doc doc/ssl-ciph.doc 
%config /etc/ssleay.cnf 
/usr/bin/*
/usr/lib/libcrypto.so.0.9.1c
/usr/lib/libssl.so.0.9.1c
/var/ssl/private
/var/ssl/certs

%files devel
%doc -P README README.PATENTS README.PROBLEMS CHANGES CHANGES.SSLeay LICENSE
%doc -P doc/*.doc doc/readme
%doc -P demos bugs times test
/usr/lib/libcrypto.a
/usr/lib/libssl.a
/usr/lib/libcrypto.so
/usr/lib/libssl.so
#RSAref is for inside the US
/usr/lib/libRSAglue.a
/usr/include/ssl

%post
ldconfig

%postun
ldconfig

%changelog
* Tue Dec 29 1998 Jonathan Ruano <kobalt@james.encomix.es>
- minimum spec and patches changes for openssl
* Sat Aug  8 1998 Khimenko Victor <khim@sch57.msk.ru>
- shared library creating process honours $RPM_OPT_FLAGS
- shared libarry supports threads (as well as static library)
* Wed Jul 22 1998 Khimenko Victor <khim@sch57.msk.ru>
- building of shared library completely reworked
* Tue Jul 21 1998 Khimenko Victor <khim@sch57.msk.ru>
- RPM is BuildRoot'ed
